Jump to content

Unsupported version [ETS2][ATS]

This announcement is no longer active

Lasse

Hello,

 

We aware of TruckersMP being incompatible with the latest update of Euro Truck Simulator 2 and American Truck Simulator.

Please make sure to downgrade both of your games if you wish to keep playing on our mod: Click here

 

We hope to release an update as soon as possible.

 

Happy Trucking!



×
×
  • Create New...